Last modified: 2012-08-04 20:48:56 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15834 - Oversight doesn't provide a database definition for PostgreSQL
Oversight doesn't provide a database definition for PostgreSQL
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Oversight (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Brion Vibber
:
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2008-10-04 21:26 UTC by Brad Jorsch
Modified: 2012-08-04 20:48 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch correcting the issues described. (2.07 KB, patch)
2008-10-08 22:08 UTC, Brad Jorsch
Details

Description Brad Jorsch 2008-10-04 21:26:53 UTC
The Oversight extension only supports MySQL; a version of hidden.sql for PostgreSQL is needed for installations based on that database to be supported.

(Mark this lowest priority as far as I'm concerned, I just wanted to see how Oversight works)
Comment 1 Greg Sabino Mullane 2008-10-08 21:04:33 UTC
Created a hidden.pg.sql (r41854) file that loads properly. Have not tested the extension itself in use.
Comment 2 Brad Jorsch 2008-10-08 22:08:31 UTC
Created attachment 5405 [details]
Patch correcting the issues described.

One critique: the hidden_timestamp and hidden_on_timestamp columns should probably be TIMESTAMPTZ rather than text. MySQL seems to lack a functional date-and-time type, but PG has one.

It works for hiding live revisions, but fails when trying to hide a deleted revision. The attached patch fixes it, by passing timestamps through the needed conversion functions and by using the SQL-standard '' rather than "" to represent an empty string in one query. It also converts the two database columns to TIMESTAMPTZ; if that is a concern than the appropriate magic would need to be added to convert any existing PG installations of the extension.
Comment 3 Greg Sabino Mullane 2008-10-08 22:15:38 UTC
Thanks! Patch applied. Sorry for not catching that timestamp stuff. If it's any consolation, the MySQL schema is wrong too (e.g. int(5) is not what people think it is :)

Please reopen if there are further issues.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links